IRremoteESP8266

Public Attributes | List of all members
Daikin2Protocol Union Reference

Native representation of a Daikin2 A/C message. More...

`#include <ir_Daikin.h>`

## Public Attributes
struct {
uint8_t pad [3]
uint8_t raw [kDaikin2StateLength]
| The state of the IR remote. More...
}; |
struct {
uint64_t __pad0__:64
uint64_t CurrentTime:12
uint64_t __pad1__:3
uint64_t Power2:1
uint64_t __pad2__:4
uint64_t Light:2
uint64_t Beep:2
uint64_t FreshAir:1
uint64_t __pad3__:2
uint64_t Mold:1
uint64_t __pad4__:1
uint64_t Clean:1
uint64_t __pad5__:1
uint64_t FreshAirHigh:1
uint64_t __pad6__:32
uint64_t __pad7__:7
uint64_t EyeAuto:1
uint64_t __pad8__:24
uint64_t SwingH:8
uint64_t SwingV:4
uint64_t __pad9__:4
uint64_t Sum1:8
uint64_t __pad10__:8
uint64_t __pad11__:32
uint64_t Power:1
uint64_t OnTimer:1
uint64_t OffTimer:1
uint64_t __pad12__:1
uint64_t Mode:3
uint64_t __pad13__:1
uint64_t __pad14__:1
uint64_t Temp:6
uint64_t HumidOn:1
uint64_t Humidity:8
uint64_t __pad15__:4
uint64_t Fan:4
uint64_t __pad16__:8
uint64_t OnTime:12
uint64_t OffTime:12
uint64_t Powerful:1
uint64_t __pad17__:4
uint64_t Quiet:1
uint64_t __pad18__:2
uint64_t __pad19__:16
uint64_t __pad20__:1
uint64_t Eye:1
uint64_t Econo:1
uint64_t __pad21__:1
uint64_t Purify:1
uint64_t SleepTimer:1
uint64_t __pad22__:2
uint8_t __pad23__:8
uint8_t Sum2:8
}; |

## Detailed Description

Native representation of a Daikin2 A/C message.

## Member Data Documentation

## ◆ @25

struct { ... }

## ◆ @27

struct { ... }

## ◆ __pad0__

uint64_t Daikin2Protocol::__pad0__

## ◆ __pad10__

uint64_t Daikin2Protocol::__pad10__

## ◆ __pad11__

uint64_t Daikin2Protocol::__pad11__

## ◆ __pad12__

uint64_t Daikin2Protocol::__pad12__

## ◆ __pad13__

uint64_t Daikin2Protocol::__pad13__

## ◆ __pad14__

uint64_t Daikin2Protocol::__pad14__

## ◆ __pad15__

uint64_t Daikin2Protocol::__pad15__

## ◆ __pad16__

uint64_t Daikin2Protocol::__pad16__

## ◆ __pad17__

uint64_t Daikin2Protocol::__pad17__

## ◆ __pad18__

uint64_t Daikin2Protocol::__pad18__

## ◆ __pad19__

uint64_t Daikin2Protocol::__pad19__

## ◆ __pad1__

uint64_t Daikin2Protocol::__pad1__

## ◆ __pad20__

uint64_t Daikin2Protocol::__pad20__

## ◆ __pad21__

uint64_t Daikin2Protocol::__pad21__

## ◆ __pad22__

uint64_t Daikin2Protocol::__pad22__

## ◆ __pad23__

uint8_t Daikin2Protocol::__pad23__

## ◆ __pad2__

uint64_t Daikin2Protocol::__pad2__

## ◆ __pad3__

uint64_t Daikin2Protocol::__pad3__

## ◆ __pad4__

uint64_t Daikin2Protocol::__pad4__

## ◆ __pad5__

uint64_t Daikin2Protocol::__pad5__

## ◆ __pad6__

uint64_t Daikin2Protocol::__pad6__

## ◆ __pad7__

uint64_t Daikin2Protocol::__pad7__

## ◆ __pad8__

uint64_t Daikin2Protocol::__pad8__

## ◆ __pad9__

uint64_t Daikin2Protocol::__pad9__

## ◆ Beep

uint64_t Daikin2Protocol::Beep

## ◆ Clean

uint64_t Daikin2Protocol::Clean

## ◆ CurrentTime

uint64_t Daikin2Protocol::CurrentTime

## ◆ Econo

uint64_t Daikin2Protocol::Econo

## ◆ Eye

uint64_t Daikin2Protocol::Eye

## ◆ EyeAuto

uint64_t Daikin2Protocol::EyeAuto

## ◆ Fan

uint64_t Daikin2Protocol::Fan

## ◆ FreshAir

uint64_t Daikin2Protocol::FreshAir

## ◆ FreshAirHigh

uint64_t Daikin2Protocol::FreshAirHigh

## ◆ Humidity

uint64_t Daikin2Protocol::Humidity

## ◆ HumidOn

uint64_t Daikin2Protocol::HumidOn

## ◆ Light

uint64_t Daikin2Protocol::Light

## ◆ Mode

uint64_t Daikin2Protocol::Mode

## ◆ Mold

uint64_t Daikin2Protocol::Mold

## ◆ OffTime

uint64_t Daikin2Protocol::OffTime

## ◆ OffTimer

uint64_t Daikin2Protocol::OffTimer

## ◆ OnTime

uint64_t Daikin2Protocol::OnTime

See also
  https://github.com/crankyoldgit/IRremoteESP8266/pull/1264

## ◆ OnTimer

uint64_t Daikin2Protocol::OnTimer

## ◆ pad

uint8_t Daikin2Protocol::pad[3]

## ◆ Power

uint64_t Daikin2Protocol::Power

## ◆ Power2

uint64_t Daikin2Protocol::Power2

## ◆ Powerful

uint64_t Daikin2Protocol::Powerful

## ◆ Purify

uint64_t Daikin2Protocol::Purify

## ◆ Quiet

uint64_t Daikin2Protocol::Quiet

## ◆ raw

uint8_t Daikin2Protocol::raw[kDaikin2StateLength]

The state of the IR remote.

## ◆ SleepTimer

uint64_t Daikin2Protocol::SleepTimer

## ◆ Sum1

uint64_t Daikin2Protocol::Sum1

## ◆ Sum2

uint8_t Daikin2Protocol::Sum2

## ◆ SwingH

uint64_t Daikin2Protocol::SwingH

## ◆ SwingV

uint64_t Daikin2Protocol::SwingV

## ◆ Temp

uint64_t Daikin2Protocol::Temp

The documentation for this union was generated from the following file:

- src/ir_Daikin.h